# $Revision: 1.34 $, $Date: 2012/01/16 11:05:20 $
#
# Conditional build:
%bcond_without	tests	# perform "make test"

%define		pdir	DateTime
%include	/usr/lib/rpm/macros.perl
Summary:	DateTime - representation of date/time combinations
Summary(pl.UTF-8):	DateTime - reprezentacja kombinacji daty i czasu
Name:		perl-DateTime
Version:	0.72
Release:	1
Epoch:		2
License:	Artistic 2.0
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/DateTime/DROLSKY/%{pdir}-%{version}.tar.gz
# Source0-md5:	f50b328919fe8bf2d2b16ca0df35c3f3
URL:		http://datetime.perl.org/
BuildRequires:	perl(Pod::Man) >= 1.14
BuildRequires:	perl-ExtUtils-CBuilder
BuildRequires:	perl-Module-Build >= 0.3601
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl(Time::Local) >= 1.04
BuildRequires:	perl-DateTime-Format-Strptime >= 1.2000
BuildRequires:	perl-DateTime-Locale >= 0.41
BuildRequires:	perl-DateTime-TimeZone >= 3:1.09
BuildRequires:	perl-Math-Round
BuildRequires:	perl-Params-Validate >= 0.76
BuildRequires:	perl-Test-Exception
BuildRequires:	perl-Test-Simple >= 0.88
%endif
Requires:	perl-base >= 1:5.8.7-3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
DateTime is a class for the representation of date/time combinations,
and is part of the Perl DateTime project. For details on this project
please see <http://datetime.perl.org/>. The DateTime site has a FAQ
which may help answer many "how do I do X?" questions. The FAQ is at
<http://datetime.perl.org/faq.html>.

%description -l pl.UTF-8
DateTime to klasa do reprezentowania kombinacji daty i czasu, będąca
częścią perlowego projektu DateTime. Szczegóły dotyczące tego projektu
można znaleźć pod adresem <http://datetime.perl.org/>. Serwis ten ma
swoje FAQ, gdzie można znaleźć odpowiedzi na wiele pytań - dostępne
pod <http://datetime.perl.org/faq.html>.

%prep
%setup -q -n %{pdir}-%{version}

%build
%{__perl} Build.PL \
	installdirs=vendor \
	--config cc="%{__cc}" \
	--config ld="%{__cc}" \
	--config optimize="%{rpmcflags}"

./Build

%{?with_tests:./Build test}

%install
rm -rf $RPM_BUILD_ROOT

./Build install \
	destdir=$RPM_BUILD_ROOT

# for noarch DateTime::* modules
install -d $RPM_BUILD_ROOT%{perl_vendorlib}/DateTime/{Event,Format}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README CREDITS TODO leaptab.txt
%dir %{perl_vendorlib}/DateTime/Event
%dir %{perl_vendorlib}/DateTime/Format
%{perl_vendorarch}/DateTime.pm
%{perl_vendorarch}/DateTimePP.pm
%{perl_vendorarch}/DateTimePPExtra.pm
%{perl_vendorarch}/DateTime/*.pm
%dir %{perl_vendorarch}/auto/DateTime
%{perl_vendorarch}/auto/DateTime/DateTime.bs
%attr(755,root,root) %{perl_vendorarch}/auto/DateTime/DateTime.so
%{_mandir}/man3/DateTime*.3pm*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-DateTime.spec,v $
Revision 1.34  2012/01/16 11:05:20  zbyniu
- up to 0.72

Revision 1.33  2011/12/10 18:00:56  glen
- release 1

Revision 1.32  2011/03/04 18:55:26  qboosh
- updated to 0.66

Revision 1.31  2010/11/12 23:38:03  pawelz
- release 3

Revision 1.30  2010/06/06 08:34:17  arekm
- release 2

Revision 1.29  2009/09/10 12:23:45  amateja
- updated to 0.50
- epoch 2
- bump version of BR perl-DateTime-TimeZone to 1:0.59

Revision 1.28  2009/06/18 11:41:11  amateja
- updated to 0.4501

Revision 1.27  2009/03/14 11:41:15  hawk
- release 2

Revision 1.26  2008/04/02 08:28:39  arekm
- up to 0.42

Revision 1.25  2008-02-11 22:43:11  radek
- version 0.41

Revision 1.24  2008-02-10 12:06:40  arekm
- rel 2

Revision 1.23  2008-01-10 08:38:36  glen
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

Revision 1.22  2007-03-26 21:23:09  radek
- version 0.36, kill circular BRs

Revision 1.21  2007/02/13 07:16:54  glen
- tabs in preamble

Revision 1.20  2007/02/12 00:49:29  baggins
- converted to UTF-8

Revision 1.19  2006/08/22 16:12:22  glen
- package DateTime/Event dir
- add more test BR
- t/infinitive.t works now
- rel 2

Revision 1.18  2006/08/12 16:34:33  migo
- up to 0.34

Revision 1.17  2006/07/27 17:38:54  glen
- fix md5

Revision 1.16  2006/07/27 17:19:24  glen
- 0.32 (Epoch: 1 due 0.2901 being "newer")

Revision 1.15  2005/11/04 10:19:06  czucz
- updated to 0.2901

Revision 1.14  2005/06/09 15:23:03  ankry
- killed dirs belonging to perl, R: perl-base >= 1:5.8.7-3 for them

Revision 1.13  2005/06/08 19:14:20  migo
- add %{perl_vendorlib}/DateTime/Format into package (for DateTime::Format::*
  modules)

Revision 1.12  2005/06/08 13:41:35  glen
- missing dir; rel 2; STBR

Revision 1.11  2005/03/13 22:35:24  migo
- up to 0.28, better BRs

Revision 1.10  2005/01/16 16:51:37  darekr
- updated to 0.25, R: perl-DateTime-TimeZone

Revision 1.9  2004/12/18 16:13:55  darekr
- updated to 0.24

Revision 1.8  2004/12/12 10:19:28  adamg
- updated to 0.23

Revision 1.7  2004/11/08 16:13:32  undefine
- release 2

Revision 1.6  2004/11/03 22:30:18  paladine
- formatting

Revision 1.5  2004/11/02 08:18:58  adamg
- by default do not perform tests (dependency loop with perl-DateTime-TimeZone)

Revision 1.4  2004/11/01 22:24:31  adamg
- updated to 0.22
- bconded BuildRequires (avoid dependency loop)

Revision 1.3  2004/04/19 22:22:15  ankry
- license/description fixes

Revision 1.2  2004/04/13 19:42:04  qboosh
- pl, License

Revision 1.1  2004/04/13 06:47:46  agaran
- new spec, nfy
